using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace OFSetter
{
	public partial class SetOption : Form
	{
		public SetOption()
		{
			InitializeComponent();
			timeWndSwitch = 500;
			timeChar = 100;
		}

		public uint timeWndSwitch;
		public uint timeChar;

		private void SetOption_Load(object sender, EventArgs e)
		{
			textTimeWndSwitch.Text = timeWndSwitch.ToString();
			textTimeChar.Text = timeChar.ToString();
		}

		private void IDOK_Click(object sender, EventArgs e)
		{
			uint n;
			try {
				n = Convert.ToUInt32(textTimeWndSwitch.Text);
				if(n<50) n= 50;
				else if(n>2000) n= 2000;
			}
			catch {
				n = 50;
			}

			timeWndSwitch = n;

			try {
				n = Convert.ToUInt32(textTimeChar.Text);
				if(n<50) n= 50;
				else if(n>2000) n= 2000;
			}
			catch {
				n = 50;
			}

			timeChar = n;

			DialogResult = DialogResult.OK;

		}

	}
}